@ECHO OFF
REM determine local language for menus
SET MENULANG=EN
REM SET MENULANG=FR
REM find program files directory
SET PROGDIR32=%ProgramFiles%
SET PROGDIR64=%ProgramFiles%
IF NOT ""=="%ProgramFiles(x86)%" SET PROGDIR32=%ProgramFiles(x86)%
REM DOORS bin and exe
SET DOORSBIN=bin\doors.exe
REM DOORS 9
SET DOORSMFGIBM=IBM\Rational
SET DOORSDIR9=DOORS
REM DOORS 9.4
SET DOORSVER94=9.4
SET DOORSEXE94=%PROGDIR32%\%DOORSMFGIBM%\%DOORSDIR9%\%DOORSVER94%\%DOORSBIN%
REM DOORS 9.5
SET DOORSVER95=9.5
SET DOORSEXE95=%PROGDIR32%\%DOORSMFGIBM%\%DOORSDIR9%\%DOORSVER95%\%DOORSBIN%
REM DOORS 9.6 32-bit
SET DOORSVER96=9.6
SET DOORSEXE9632=%PROGDIR32%\%DOORSMFGIBM%\%DOORSDIR9%\%DOORSVER96%\%DOORSBIN%
REM DOORS 9.6 64-bit
SET DOORSEXE9664=%PROGDIR64%\%DOORSMFGIBM%\%DOORSDIR9%\%DOORSVER96%\%DOORSBIN%
REM DOORS 9.7 64-bit
SET DOORSVER97=9.7
SET DOORSEXE9764=%PROGDIR64%\%DOORSMFGIBM%\%DOORSDIR9%\%DOORSVER97%\%DOORSBIN%
REM set exe to latest version that exists
SET DOORSEXE=
IF EXIST "%DOORSEXE94%" SET DOORSEXE=%DOORSEXE94%
IF EXIST "%DOORSEXE95%" SET DOORSEXE=%DOORSEXE95%
IF EXIST "%DOORSEXE9632%" SET DOORSEXE=%DOORSEXE9632%
IF EXIST "%DOORSEXE9664%" SET DOORSEXE=%DOORSEXE9664%
IF EXIST "%DOORSEXE9764%" SET DOORSEXE=%DOORSEXE9764%
REM define module menus
SET ADDINS=%CD%\menu\%MENULANG%\addins
SET DOORSADDINS=%ADDINS%
REM define explorer menus
SET PROJECTADDINS=%CD%\menu\%MENULANG%\projectaddins
SET DOORSPROJECTADDINS=%PROJECTADDINS%
REM define user
SET DOORSUSER=%1%
REM IF ""=="%DOORSUSER%" SET DOORSUSER=Guest
REM start DOORS
IF ""=="%DOORSEXE%" (
	ECHO.
	ECHO DOORS executable could not be found:
	ECHO    "%DOORSEXE94%"
	ECHO    "%DOORSEXE95%"
	ECHO    "%DOORSEXE9632%"
	ECHO    "%DOORSEXE9664%"
	ECHO    "%DOORSEXE9764%"
	ECHO.
	PAUSE
) ELSE (
	START "DOORS" "%DOORSEXE%" -localdata "%TEMP%" -addins "%ADDINS%" -projectaddins "%PROJECTADDINS%" -user "%DOORSUSER%" -defopenmode READ_ONLY 
)
