@ECHO OFF
REM determine local language for menus
SET MENULANG=EN
REM SET MENULANG=FR
REM find program files directory
SET PROGDIR=%ProgramFiles%
REM DOORS 9.7
SET DOORSMFG=IBM\Rational
SET DOORSDIR=DOORS
SET DOORSVER=9.7
SET DOORSBIN=bin\doors.exe
SET DOORSEXE=%PROGDIR%\%DOORSMFG%\%DOORSDIR%\%DOORSVER%\%DOORSBIN%
REM define module menus
SET ADDINS=%CD%\menu\%MENULANG%\addins;%CD%
SET DOORSADDINS=%ADDINS%
REM define explorer menus
SET PROJECTADDINS=%CD%\menu\%MENULANG%\projectaddins
SET DOORSPROJECTADDINS=%PROJECTADDINS%
REM define user
SET DOORSUSER=%1%
REM IF ""=="%DOORSUSER%" SET DOORSUSER=Guest
REM start DOORS
IF ""=="%DOORSEXE%" (
	ECHO.
	ECHO DOORS executable could not be found:
	ECHO    "%DOORSEXE%"
	ECHO.
	PAUSE
) ELSE (
	START "DOORS" "%DOORSEXE%" -localdata "%TEMP%" -addins "%ADDINS%" -projectaddins "%PROJECTADDINS%" -user "%DOORSUSER%" -defopenmode READ_ONLY 
)
